Subject: [DOCUMENTATION] guix shell with graphical software on Xorg

From: Timothee Mathieu <[email-masked]>
Date: Sun, 1 Oct 2023 14:05:10 +0200 (CEST)

Hello, 

I am a guix beginner, slowly learning to use the shell command to make containers. 
I tried to use the command from the documentation ( [ https://guix.gnu.org/manual/en/html_node/Invoking-guix-shell.html | https://guix.gnu.org/manual/en/html_node/Invoking-guix-shell.html ] ) to launch chromium with the advised command 
guix shell --container --network --no-cwd ungoogled-chromium \
  --preserve='^DISPLAY$' -- chromium 
but with Xorg this does not seem to work due to permission error, the error is "Authorization required, but no authorization protocol specified". 
I solved the problem by sharing .Xauthority and exposing the associated environment variable, and then it works: 
guix shell --container --network --no-cwd ungoogled-chromium  \ 
--preserve='^DISPLAY$' --preserve='^XAUTHORITY$' --share=$HOME/.Xauthority -- chromium 
I think this should be added to the documentation to help people that want to use guix shell with Xorg. 

Best regards, 
Timothée Mathieu